#
# spec file for package libkcddb5
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libkcddb5
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5WidgetsAddons)
%if %{?suse_version} > 1220
BuildRequires:  libmusicbrainz5-devel
%endif
BuildRequires:  xz
Summary:        KDE CDDB Library
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Version:        5
Release:        1.1
Source0:        libkcddb5.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A library for retrieving and sending cddb information

%package devel
Summary:        KDE CDDB Library: Build Environment
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
This package includes the development headers for %{name}

%prep
%setup -q -n libkcddb

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  cd build
  %kf5_makeinstall

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_kf5_configkcfgdir}
%config %{_kf5_configkcfgdir}/libkcddb.kcfg
%{_kf5_htmldir}/en/kcontrol/
%{_kf5_libdir}/*.so.*
%{_kf5_plugindir}/kcm_cddb.so
%{_kf5_servicesdir}/libkcddb.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/libkcddb/
%{_kf5_libdir}/cmake/libkcddb/
%{_kf5_libdir}/*.so

%changelog
* Thu Dec 31 2015 johannesobermayr@gmx.de
- initial package
